#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    ios::sync_with_stdio(false);
    cin.tie(0);
    
    string s;
    cin>>s;

    int duzina=s.size();

    bool istina=true;

    int brojac;

    for (int i=0;i<duzina/2;i++)
    {
        if (s[i]!=s[duzina-i-1])
        {
            istina=false;
            brojac=i;
            break;
        }
    }

    if (istina==true)
    {
        cout<<1<<endl;
    }

    else
    {
        int mesto1=-1,mesto2=-1;

        for (int i=0;i<duzina;i++)
        {
            if (s[i]=='b' and mesto1==-1)
            {
                mesto1=i;
            }

            else if (s[i]=='b' and mesto1!=-1)
            {
                mesto2=i;
            }
        }

        if (mesto1<duzina/2 and mesto2<duzina/2)
        {
            cout<<duzina-mesto1-1-mesto2;
        }

        else if (mesto1>duzina/2 and mesto2>duzina/2)
        {
            cout<<mesto2+mesto1+1-duzina;
        }

        else if (mesto1<duzina/2 and mesto2>duzina/2)
        {
            cout<<abs(mesto2-(duzina-mesto1-1));
        }
    }
}